Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.connectionmanager
Enum ConnectionStatus

    java.lang.Object
      java.lang.Enum<ConnectionStatus>
          org.teleal.cling.support.connectionmanager.ConnectionStatus

All Implemented Interfaces:
  Serializable, Comparable<ConnectionStatus>

    public enum ConnectionStatus

extends Enum<ConnectionStatus>

Enum Constant Summary
`ContentFormatMismatch`
`InsufficientBandwidth`
`OK`
`Unknown`
`UnreliableChannel`

Method Summary
`static ConnectionStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final ConnectionStatus OK

### ContentFormatMismatch

    public static final ConnectionStatus ContentFormatMismatch

### InsufficientBandwidth

    public static final ConnectionStatus InsufficientBandwidth

### UnreliableChannel

    public static final ConnectionStatus UnreliableChannel

### Unknown

    public static final ConnectionStatus Unknown

Method Detail

### values

    public static ConnectionStatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ConnectionStatus c : ConnectionStatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ConnectionStatus valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.